curl --request POST \
--url https://www.closient.com/sustainability/api/v1/environmental-impacts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"assessment_date": "2026-04-15",
"gtin": "00850012345688",
"impact_type": "CARBON_FOOTPRINT",
"methodology_reference": "ISO 14067:2018",
"notes": "Cradle-to-gate assessment including transport.",
"score_value": 2.4,
"unit": "kg CO2e"
}
'import requests
url = "https://www.closient.com/sustainability/api/v1/environmental-impacts"
payload = {
"assessment_date": "2026-04-15",
"gtin": "00850012345688",
"impact_type": "CARBON_FOOTPRINT",
"methodology_reference": "ISO 14067:2018",
"notes": "Cradle-to-gate assessment including transport.",
"score_value": 2.4,
"unit": "kg CO2e"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assessment_date: '2026-04-15',
gtin: '00850012345688',
impact_type: 'CARBON_FOOTPRINT',
methodology_reference: 'ISO 14067:2018',
notes: 'Cradle-to-gate assessment including transport.',
score_value: 2.4,
unit: 'kg CO2e'
})
};
fetch('https://www.closient.com/sustainability/api/v1/environmental-impacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assessment_date": "2026-04-15",
"created": "2026-09-30T09:00:00Z",
"gtin": "00850012345688",
"id": "F5n5NdW6dTbvPYkgnLNjte",
"impact_type": "CARBON_FOOTPRINT",
"methodology_reference": "ISO 14067:2018",
"modified": "2026-09-30T09:00:00Z",
"notes": "Cradle-to-gate assessment including transport.",
"organization_id": "9fHkqR2aXcVbNmLpQwErTy",
"score_value": 2.4,
"unit": "kg CO2e"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}Create environmental impact
Record a quantified environmental impact of one of the organization’s products. Requires CONTRIBUTE on the organization. 404 if the GTIN isn’t a product the organization owns or a referenced id isn’t the organization’s. Nothing is created on error.
Authorizations
Body
Payload for POST /environmental-impacts.
GTIN (8, 12, 13 or 14 digits) of the product. Must be a product the caller's organization owns, else 404.
8 - 14Category of environmental effect measured.
CARBON_FOOTPRINT, WATER_USAGE, ENERGY_CONSUMPTION, WASTE_GENERATION, LAND_USE, OTHER Magnitude of the impact in unit, up to four decimal places.
-99999999999 <= x <= 99999999999Unit score_value is expressed in.
1 - 10^(kg\ CO2e|kg|t|L|m³|m²|MJ|kWh|%|Other)$"kg CO2e"
Standard or method used, for example GHG Protocol.
200^[^\x00]{0,200}$Date of the assessment.
Scope, assumptions or data source.
1000^[^\x00]{0,1000}$Response
Created
A quantified environmental impact of one of the organization's products.
URL-safe 22-character shortuuid encoding of the row's UUID primary key. Stable across the row's lifetime; suitable for sharing in URLs, log lines, and external SDK clients. Accepted on input as either the shortuuid form or the canonical UUID form (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx).
22^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$The organization that owns the product.
22^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$The product's GTIN, normalized to GTIN-14.
Server-side ISO 8601 timestamp of creation (UTC).
Server-side ISO 8601 timestamp of last modification (UTC).
Category of environmental effect measured.
Magnitude of the impact, expressed in unit.
Unit score_value is expressed in.
Standard or method used. Empty when unset.
Date of the assessment. Null when unset.
Scope, assumptions or data source. Empty when unset.